Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
hugo007

Hỏi về lệnh hiện layer

Các bài được khuyến nghị

Các bạn cho mình hỏi khi trong bản vẽ có nhiều layer,vậy dùng lênh nào để khi chọn layer đó thì tất cả layer khác đều tắt chỉ còn mỗi layer mình vừa chọn.Thanks.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Các bạn cho mình hỏi khi trong bản vẽ có nhiều layer,vậy dùng lênh nào để khi chọn layer đó thì tất cả layer khác đều tắt chỉ còn mỗi layer mình vừa chọn.Thanks.

Bạn dùng lệnh layiso.Cách làm:Layiso=>chọn layer cần giữ=>ok!Nhưng bạn dùng cad mấy đấy.Cad 2004 chắc chắn không có đâu bạn nhé!

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Các bạn cho mình hỏi khi trong bản vẽ có nhiều layer,vậy dùng lênh nào để khi chọn layer đó thì tất cả layer khác đều tắt chỉ còn mỗi layer mình vừa chọn.Thanks.

 

 

Bạn dùng lệnh layiso.Cách làm:Layiso=>chọn layer cần giữ=>ok!Nhưng bạn dùng cad mấy đấy.Cad 2004 chắc chắn không có đâu bạn nhé!

CAD 2004 thì dùng lisp này: lệnh là LAI

;;; =========================== Layer Iso ===================================
(Defun LAYISO (/ SS CNT LAY LAYLST VAL)  (setvar "cmdecho" 0)
 (if (not (setq SS (ssget "i")))    (progn
     (prompt "\nChon doi tuong tren layer(s) muon lam viec doc lap: ")
     (setq SS (ssget))    )  )
 (if SS    (progn      (setq CNT 0)
     (while (setq LAY (ssname SS CNT))
       (setq LAY (cdr (assoc 8 (entget LAY))))
       (if (not (member LAY LAYLST))
         (setq LAYLST (cons LAY LAYLST))        )
       (setq CNT (1+ CNT))      )
     (if (member (getvar "CLAYER") LAYLST)
       (setq LAY (getvar "CLAYER"))
       (setvar "CLAYER" (setq LAY (last LAYLST)))      )
     (command "_.LAYER" "_OFF" "*" "_Y")
     (foreach VAL LAYLST (command "_ON" VAL))
     (command "")            (if (= (length LAYLST) 1)
       (prompt (strcat "\nLayer " (car LAYLST) " da tach ra."))
       (prompt (strcat "\n" (itoa (length LAYLST)) " layers da tach ra. "
                       "Layer " LAY " la hien hanh."   )  )  )  )  )  (princ) )
(defun c:LAYISO () (layiso)) (defun c:LAI () (layiso))

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bạn dùng lệnh layiso.Cách làm:Layiso=>chọn layer cần giữ=>ok!Nhưng bạn dùng cad mấy đấy.Cad 2004 chắc chắn không có đâu bạn nhé!

Bạn sử dụng từ chắc chắn coi bộ hơi vội vàng. Nó đây :

lio.jpg

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bạn dùng lệnh layiso.Cách làm:Layiso=>chọn layer cần giữ=>ok!Nhưng bạn dùng cad mấy đấy.Cad 2004 chắc chắn không có đâu bạn nhé!

khi sử dụng layiso rồi muốn mở các layer khác lên lại như lúc đầu thì dùng lệnh nào?Thanks

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
khi sử dụng layiso rồi muốn mở các layer khác lên lại như lúc đầu thì dùng lệnh nào?Thanks

 

 

 

LAYON..............

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
khi sử dụng layiso rồi muốn mở các layer khác lên lại như lúc đầu thì dùng lệnh nào?Thanks

Nếu sử dụng lệnh layiso rồi muốn mở các layer khác lên lại như lúc đầu thì nên dùng lệnh này LAYUNISO

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×